Bug 113664 - missing return statement ?
missing return statement ?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 04:54 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 00:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-16 04:54:52 EST
Description of problem:

I just tried to compile package cyrus-sasl-2.1.15-6, from Redhat
Fedora Core 1.

The compiler said

sasldblistusers.c(114): warning #1011: missing return statement at end
of non-void function "listusers"

The source code is

int listusers(const char *path, listcb_t *cb)
{
    GDBM_FILE indb, outdb;
    datum dkey, nextkey, ekey;

	/* ... */


    gdbm_close(indb);
}

Note the missing return statement. I'm not sure what the fix is for
this. Maybe a quick 

    return 0; 

would do.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Thacker 2006-04-22 00:57:10 EDT
Not going to patch upstream code to quiet a compiler warning rather 
than fix a bug or error.

Note You need to log in before you can comment on or make changes to this bug.